Skip to main content
POST
Create an Evaluator

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
enum<string>
required
Available options:
llm_eval
prompt
string
required
key
string
required
Minimum string length: 1
Pattern: ^[a-zA-Z0-9]([a-zA-Z0-9_-]*[a-zA-Z0-9])?$
mode
enum<string>
required
Available options:
single
model
string
required
guardrail_config
Boolean · object
output_type
enum<string>

The type of output expected from the evaluator

Available options:
boolean,
categorical,
number,
string
repetitions
integer | null
Required range: 1 <= x <= 3
categories
string[] | null
categorical_labels
object[] | null
dataset_id
string | null
path
string

Legacy alternative to project_id. Storage path whose first segment names the project that owns the evaluator. Mutually exclusive with project_id.

Example:

"Default"

project_id
string

Unique identifier of the project that owns the evaluator, as returned by GET /v2/projects. Mutually exclusive with path.

Minimum string length: 1
Example:

"01JMDPA3QW5C1V0NJ1PW34T4E5"

description
string
default:""

Response

Successfully created an evaluator

_id
string
required
description
string
required
type
enum<string>
required
Available options:
llm_eval
prompt
string
required
key
string
required
Minimum string length: 1
Pattern: ^[a-zA-Z0-9]([a-zA-Z0-9_-]*[a-zA-Z0-9])?$
mode
enum<string>
required
Available options:
single,
jury
created
string
default:2026-08-13T12:46:10.298Z
updated
string
default:2026-08-13T12:46:10.298Z
updated_by_id
string | null
project_id
string

Unique identifier of the project owning this evaluator.

guardrail_config
Boolean · object
repetitions
integer | null
Required range: 1 <= x <= 3
categories
string[] | null
categorical_labels
object[] | null
dataset_id
string | null
model
string
jury
object